osl::eval::ml::RookEffectPiece Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { DIM = 32 * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)

## Detailed Description

Definition at line 273 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 276 of file majorPiece.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::RookEffectPiece::setUp | ( | const Weights & | weights | ) |

static

Definition at line 289 of file majorPiece.cc.

References osl::NStages, osl::eval::ml::RookEffectBase::piece_table, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc